%global pypi_name archmage

Name:           archmage
Version:        0.4.2.1
Release:        %mkrel 5
Summary:        Extensible reader/decompiler of files in CHM format
Group:          Development/Tools
License:        GPLv2+
URL:            https://github.com/dottedmag/archmage
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
# for conversion to text
Requires:	elinks

%description
arCHMage converts CHM files to HTML, plain text and PDF. CHM is the format used
by Microsoft HTML Help, also known as Compiled HTML.

%prep
%setup -q

# drop bundled egg-info
rm -rf *.egg-info/

%build
%py3_build

%install
%py3_install

%files
%license COPYING
%doc AUTHORS NEWS
%{_bindir}/archmage
%{python3_sitelib}/archmage/
%{python3_sitelib}/archmage-%{version}-py%{python3_version}.egg-info/


%changelog
* Wed Mar 23 2022 umeabot <umeabot> 0.4.2.1-5.mga9
+ Revision: 1823237
- Mageia 9 Mass Rebuild

* Mon Feb 21 2022 tv <tv> 0.4.2.1-4.mga9
+ Revision: 1782174
- Fix filelist for python-3.10
- Rebuild for python-3.10

* Sun Mar 21 2021 neoclust <neoclust> 0.4.2.1-3.mga9
+ Revision: 1706823
- Rebuild against python 3.9

* Tue Feb 18 2020 umeabot <umeabot> 0.4.2.1-2.mga8
+ Revision: 1541531
- Mageia 8 Mass Rebuild

* Fri Feb 14 2020 guillomovitch <guillomovitch> 0.4.2.1-1.mga8
+ Revision: 1521617
- new version 0.4.2.1

* Sat Dec 28 2019 guillomovitch <guillomovitch> 0.4.1-1.mga8
+ Revision: 1474603
- new version 0.4.1

* Fri Dec 20 2019 wally <wally> 0.4.0-1.mga8
+ Revision: 1469153
- new version 0.4.0
- switch to python3
- update URL and license

* Tue Sep 18 2018 umeabot <umeabot> 0.3.1-4.mga7
+ Revision: 1260623
- Mageia 7 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 0.3.1-3.mga7
+ Revision: 1259962
- Mageia 7 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 0.3.1-2.mga7
+ Revision: 1259866
- Mageia 7 Mass Rebuild

* Fri Jan 15 2016 guillomovitch <guillomovitch> 0.3.1-1.mga6
+ Revision: 923231
- new version 0.3.1

* Tue Jan 12 2016 guillomovitch <guillomovitch> 0.2.4-2.mga6
+ Revision: 922212
- fix dependency spelling

* Tue Jan 12 2016 guillomovitch <guillomovitch> 0.2.4-1.mga6
+ Revision: 922210
- imported package archmage

